View Issue Details

IDProjectCategoryView StatusLast Update
0002192SOGoZEGpublic2013-01-29 08:37
Reporterstyglianenumerator Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version2.0.3 
Fixed in Version2.0.4 
Summary0002192: ZEG web login redirects to yourhostname/SOGo/so/sogo1/Mail instead of <hostname>/...
Description

Downloaded ZEG-2.0.3.ova, imported into Virtualbox and ran.
Browser: browsed to server at DHCP assigned address (192.168.x.x).
Welcome screen appears.
Log in with sogo1, sogo.
Browser gets redirected to
yourhostname/SOGo/so/sogo1/Mail
instead of
192.168.x.x/...

I realize this may be because my DHCP server didn't give/acknowledge sogo's requested server name (e.g. sogo), but this kind of setup is not uncommon (i.e. happens with Vyatta routers with DHCP set up).

Additional Information
  1. Config appears to be here:
    root@sogo:~# cd /etc
    root@sogo:/etc# grep -i --recursive yourhostname *
    apache2/conf.d/SOGo.conf: RequestHeader set "x-webobjects-server-name" "yourhostname"
    apache2/conf.d/SOGo.conf: RequestHeader set "x-webobjects-server-url" "https://yourhostname&quot;

  2. Couldn't find a specific ZEG manual; perhaps there's documentation that I've missed.

TagsNative Outlook Compatibility, ZEG

Activities

francis

francis

2013-01-22 10:41

administrator   ~0005245

The bundled Apache configuration file has those two lines commented. You manually modified the file.

styglianenumerator

styglianenumerator

2013-01-22 11:54

reporter   ~0005246

Last edited: 2013-01-22 11:55

@francis, sorry, no, I didn't perform any changes except trying to log in. (That said, I'll try to comment those lines and see what happens)

I'll start from scratch, reimport
53549cd230252f2e408bd344e89a8f75 ZEG-OC-2.0.1.ova
and confirm again.

styglianenumerator

styglianenumerator

2013-01-22 12:00

reporter   ~0005247

Last edited: 2013-01-22 13:01

Confirmed with a new import of the .ova file.

Please let me know if you need any info, e.g. any pcaps of the network traffic.
Thanks.

Update: yes, commenting out those lines fixes the issue.

styglianenumerator

styglianenumerator

2013-01-24 08:36

reporter   ~0005250

Oops, sorry, just realised typo in initial bug description:
"Downloaded ZEG-2.0.3.ova, imported into Virtualbox and ran."
should be
"Downloaded ZEG-2.0.1.ova (with Native Outlook Compatibility), imported into Virtualbox and ran."

Just checked with the plain vanilla ZEG 2.0.3, which indeed has the offending lines commented out and works.

So probably updating the ZEG+Native Outlook Compatibility image with the new code should be enough to fix this problem...

francis

francis

2013-01-29 08:37

administrator   ~0005272

We no longer offer two variations of the ZEG. We also updated it to SOGo v2.0.4 :

http://www.sogo.nu/english/downloads/zeg.html

Issue History

Date Modified Username Field Change
2013-01-22 08:42 styglianenumerator New Issue
2013-01-22 10:41 francis Note Added: 0005245
2013-01-22 10:41 francis Status new => closed
2013-01-22 10:41 francis Resolution open => no change required
2013-01-22 11:54 styglianenumerator Note Added: 0005246
2013-01-22 11:54 styglianenumerator Status closed => feedback
2013-01-22 11:54 styglianenumerator Resolution no change required => reopened
2013-01-22 11:54 styglianenumerator Note Edited: 0005246
2013-01-22 11:55 styglianenumerator Note Edited: 0005246
2013-01-22 12:00 styglianenumerator Note Added: 0005247
2013-01-22 13:01 styglianenumerator Note Edited: 0005247
2013-01-24 08:36 styglianenumerator Note Added: 0005250
2013-01-25 04:48 styglianenumerator Tag Attached: Native Outlook Compatibility
2013-01-25 04:48 styglianenumerator Tag Attached: ZEG
2013-01-28 09:04 francis Category Web General => ZEG
2013-01-29 08:37 francis Note Added: 0005272
2013-01-29 08:37 francis Status feedback => resolved
2013-01-29 08:37 francis Fixed in Version => 2.0.4
2013-01-29 08:37 francis Resolution reopened => fixed
2013-01-29 08:37 francis Assigned To => francis